Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ExternalizableHelper.SimpleXmlBeanClassCache

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.ExternalizableHelper.SimpleXmlBeanClassCache`

All Implemented Interfaces:
  ExternalizableHelper.XmlBeanClassCache

Enclosing class:
  ExternalizableHelper

      public static class ExternalizableHelper.SimpleXmlBeanClassCache

extends Base
implements ExternalizableHelper.XmlBeanClassCache

An implementation XmlBeanClassCache that uses a pre-defined list of XmlBean implementations.

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.Base
`Base.CommonMonitor, Base.LoggingWriter, Base.StackFrame`

Field Summary

Fields inherited from class com.tangosol.util.Base
`LOG_ALWAYS, LOG_DEBUG, LOG_ERR, LOG_INFO, LOG_MAX, LOG_MIN, LOG_QUIET, LOG_WARN, POWER_0, POWER_G, POWER_K, POWER_M, POWER_T, UNIT_D, UNIT_H, UNIT_M, UNIT_MS, UNIT_NS, UNIT_S, UNIT_US`

Constructor Summary
`ExternalizableHelper.SimpleXmlBeanClassCache()`

Method Summary
`java.lang.Class` | `getClass(int nId, java.lang.ClassLoader loader)` Look up the class for the specified ID.
`int` | `getClassId(java.lang.Class clz)` Look up the class ID for the specified class.
`void` | `init(XmlElement xml)` Initialize the XmlBeanClassCache.

Methods inherited from class com.tangosol.util.Base
`azzert, azzert, azzert, azzertFailed, breakLines, breakLines, decimalValue, dup, dup, ensureClassLoader, ensureRuntimeException, ensureRuntimeException, equals, equalsDeep, err, err, err, err, err, escape, formatDateTime, getCallerStackFrame, getCommonMonitor, getCommonMonitor, getCommonMonitor, getContextClassLoader, getContextClassLoader, getDeepMessage, getErr, getLastSafeTimeMillis, getLog, getMaxDecDigits, getMaxHexDigits, getOriginalException, getOut, getRandom, getRandomBinary, getRandomString, getSafeTimeMillis, getStackFrame, getStackFrames, getStackTrace, getStackTrace, getThreadFactory, getUpTimeMillis, hashCode, hexValue, indentString, indentString, isDecimal, isHex, isLogEcho, isOctal, log, log, log, log, log, makeInteger, makeLong, makeThread, octalValue, out, out, out, out, out, pad, parseBandwidth, parseBandwidth, parseDelimitedString, parseHex, parseHex, parseMemorySize, parseMemorySize, parseTime, parseTime, parseTimeNanos, parseTimeNanos, printStackTrace, randomize, randomize, randomize, read, read, read, read, read, read, read, redirectAll, replace, setErr, setLog, setLogEcho, setOut, toBandwidthString, toBandwidthString, toCharEscape, toCrc, toCrc, toCrc, toDecString, toDelimitedString, toDelimitedString, toDelimitedString, toDelimitedString, toHex, toHex, toHexDump, toHexEscape, toHexEscape, toHexEscape, toHexString, toMemorySizeString, toMemorySizeString, toQuotedCharEscape, toQuotedStringEscape, toSqlString, toString, toString, toStringEscape, toUnicodeEscape, trace, trace, trace, trace, trace, trace, trace, trace, trace`

Constructor Detail

### ExternalizableHelper.SimpleXmlBeanClassCache

    public ExternalizableHelper.SimpleXmlBeanClassCache()

Method Detail

### init

    public void init(XmlElement xml)

  Initialize the XmlBeanClassCache.
  Specified by:
    `init` in interface `ExternalizableHelper.XmlBeanClassCache`
  Parameters:
    `xml` - the XML configuration for the cache

### getClassId

    public int getClassId(java.lang.Class clz)

  Look up the class ID for the specified class.
  Specified by:
    `getClassId` in interface `ExternalizableHelper.XmlBeanClassCache`
  Parameters:
    `clz` - the class to look up
  Returns:
    the ID if the class is known; otherwise -1

### getClass

    public java.lang.Class getClass(int nId,
                                    java.lang.ClassLoader loader)

  Look up the class for the specified ID.
  Specified by:
    `getClass` in interface `ExternalizableHelper.XmlBeanClassCache`
  Parameters:
    `nId` - the class ID
    `loader` - the ClassLoader for the class to load
  Returns:
    the class for that class ID

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.